import QtQuick 2.0
import QtQuick.Controls 2.0

GroupBox {
    signal cellParam(string mcc, string mnc, string lac, string cellId)

    Text {
        id: mccId
        text: qsTr("MCC")
        anchors.left: parent.left
        anchors.right: parent.right
        anchors.top: parent.top
        anchors.rightMargin: 0
        anchors.leftMargin: 0
        anchors.topMargin: 10
    }

    TextField {
        id: tfMCC
        text: qsTr("250")
        anchors.left: parent.left
        anchors.right: parent.right
        anchors.top: mccId.bottom
        anchors.rightMargin: 0
        anchors.leftMargin: 0
        anchors.topMargin: 5
        selectByMouse: true
    }

    Text {
        id: mncId
        text: qsTr("MNC")
        anchors.left: parent.left
        anchors.right: parent.right
        anchors.top: tfMCC.bottom
        anchors.rightMargin: 0
        anchors.leftMargin: 0
        anchors.topMargin: 10
    }

    TextField {
        id: tfMNC
        text: qsTr("2")
        anchors.left: parent.left
        anchors.right: parent.right
        anchors.top: mncId.bottom
        anchors.rightMargin: 0
        anchors.leftMargin: 0
        anchors.topMargin: 5
        selectByMouse: true
    }

    Text {
        id: lacId
        text: qsTr("LAC/TAC")
        anchors.left: parent.left
        anchors.right: parent.right
        anchors.top: tfMNC.bottom
        anchors.rightMargin: 0
        anchors.leftMargin: 0
        anchors.topMargin: 10
    }

    TextField {
        id: tfLAC
        //text: qsTr("3554")
        anchors.left: parent.left
        anchors.right: parent.right
        anchors.top: lacId.bottom
        anchors.rightMargin: 0
        anchors.leftMargin: 0
        anchors.topMargin: 5
        selectByMouse: true
    }

    Text {
        id: cellId
        text: qsTr("Cell ID")
        anchors.left: parent.left
        anchors.right: parent.right
        anchors.top: tfLAC.bottom
        anchors.rightMargin: 0
        anchors.leftMargin: 0
        anchors.topMargin: 10
    }

    TextField {
        id: tfCellID
        //text: qsTr("90193666")
        anchors.left: parent.left
        anchors.right: parent.right
        anchors.top: cellId.bottom
        anchors.rightMargin: 0
        anchors.leftMargin: 0
        anchors.topMargin: 5
        selectByMouse: true
        onEditingFinished: {
            cellParam(tfMCC.text, tfMNC.text, tfLAC.text, tfCellID.text)
        }
    }

    Button {
        id: getParamBtn
        anchors.top: tfCellID.bottom
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.topMargin: 0

        onClicked: {
            cellParam(tfMCC.text, tfMNC.text, tfLAC.text, tfCellID.text)
            console.log(tfMCC.text, tfMNC.text, tfLAC.text, tfCellID.text)
        }

        Text {
            text: "Get cell info"
            anchors.fill: parent
            horizontalAlignment: Text.AlignHCenter
            verticalAlignment: Text.AlignVCenter
            anchors.topMargin: 10
        }
    }
}
