#include "core.h"

Core::Core(QObject *parent) : QObject(parent)
{
    keys.append("123");
    keys.append("456");
    keys.append("789");
}

void Core::slot_getCellParam(QString mcc, QString mnc, QString lac, QString cellid)
{
    m_mcc = mcc;
    m_mnc = mnc;
    m_lac = lac;
    m_cellid = cellid;
    QNetworkAccessManager *manager = new QNetworkAccessManager(this);
    connect(manager, SIGNAL(finished(QNetworkReply*)), this, SLOT(slot_replyFinished(QNetworkReply*)));
    QString request = "http://opencellid.org/cell/get?key=";
    if(keyIndex < keys.count()) request += keys.at(keyIndex);
    request += ("&mcc=" + m_mcc);
    request += ("&mnc=" + m_mnc);
    request += ("&lac=" + m_lac);
    request += ("&cellid=" + m_cellid);
    request += ("&format=json");
    qDebug() << request;
    manager->get(QNetworkRequest(QUrl(request)));
}

void Core::slot_replyFinished(QNetworkReply *reply)
{
    QByteArray data = reply->readAll();
    QJsonDocument jd = QJsonDocument::fromJson(data);
    QJsonObject jo = jd.object();
    qDebug() << jo;
    QString msg = "";    

    if((jo.contains("lat")) && (jo.contains("lon"))) {
        msg = QString("Latitude: %1\nLongitude: %2\n\n").
                arg(jo.value("lat").toDouble()).
                arg(jo.value("lon").toDouble());
    }

    if(jo.contains("message")) {
        msg += jo.value("message").toString();
    }

    if(jo.contains("error")) {
        msg = "Error: " + jo.value("error").toString();
        if(jo.contains("notice")) {
            if((jo.value("notice").toString().contains("We allow 50 free fallback")) &&
               (keyIndex < keys.count())) {
                keyIndex++;
                slot_getCellParam(m_mcc, m_mnc, m_lac, m_cellid);
                if(++error == 10) keyIndex = keys.count();
            }
            msg += "\n" + jo.value("notice").toString();
        }
    }

    emit setCoord(jo.value("lat").toDouble(), jo.value("lon").toDouble(), msg);

    /*QJsonModel * model = new QJsonModel;
    model->loadJson(data);
    ui->tvAnswer->setModel(model);*/
}
