#ifndef CORE_H
#define CORE_H

#include <QObject>
#include <QDebug>
#include <QNetworkAccessManager>
#include <QNetworkReply>
#include <QJsonDocument>
#include <QJsonObject>

class Core : public QObject
{
    Q_OBJECT
public:
    //Core();
    explicit Core(QObject *parent = nullptr);

private:
    QStringList keys;
    int keyIndex = 0;
    QString m_mcc = "";
    QString m_mnc = "";
    QString m_lac = "";
    QString m_cellid = "";
    int error = 0;

public slots:
    void slot_getCellParam(QString, QString, QString, QString);

private slots:
    void slot_replyFinished(QNetworkReply *reply);

signals:
    void setCoord(double lat, double lon, QString msg);
};

#endif // CORE_H
