#include <QGuiApplication>
#include <QQmlApplicationEngine>
#include <QQmlContext>
#include "core.h"

int main(int argc, char *argv[])
{
#if QT_VERSION < QT_VERSION_CHECK(6, 0, 0)
    QCoreApplication::setAttribute(Qt::AA_EnableHighDpiScaling);
#endif

    QGuiApplication app(argc, argv);

    QQmlApplicationEngine engine;
    const QUrl url(QStringLiteral("qrc:/main.qml"));
    QObject::connect(&engine, &QQmlApplicationEngine::objectCreated,
                     &app, [url](QObject *obj, const QUrl &objUrl) {
        if (!obj && url == objUrl)
            QCoreApplication::exit(-1);
    }, Qt::QueuedConnection);
    engine.load(url);

    QObject* root = engine.rootObjects()[0];

    Core* appCore = new Core(root);

    QQmlContext* context = engine.rootContext();
    context->setContextProperty("appCore", appCore);

    QObject::connect(root, SIGNAL(qmlCellParam(QString, QString, QString, QString)),
                           appCore,
                           SLOT(slot_getCellParam(QString, QString, QString, QString)));

    return app.exec();
}
